Summary:        Music Player with the aims to be intuitive, easy to use and fast
Name:           guayadeque
Version:        0.4.6
Release:        %mkrel 2
Group:          Sound
License:        GPLv2+
URL:            http://www.guayadeque.org/
Source0:        https://github.com/anonbeat/guayadeque/archive/v%{version}/%{name}-%{version}.tar.xz
Source1:		guayadeque.desktop
Patch1:         guayadeque-0.4.5-explicitly-set-wxwidgets-components-required.patch
Patch2:		    guayadeque-0.4.6-wxgtk3.1.patch
BuildRequires:  cmake
BuildRequires:  lib64wxgtku3.1-devel
BuildRequires:  sqlite3-devel
BuildRequires:  libxml2-devel
BuildRequires:  taglib-devel
BuildRequires:  curl-devel
BuildRequires:  libmp4v2-devel
BuildRequires:  libflac-devel
BuildRequires:  dbus-devel
BuildRequires:  gstreamer1.0-devel
BuildRequires:  imagemagick
BuildRequires:  libgpod-devel
BuildRequires:  desktop-file-utils
BuildRequires:	lib64wxsqlite3_3.1-devel
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-libav
Requires:	lib64wxsqlite3_3.1_0
Requires:   wxgtk3.1

%description
Guayadeque is a music management program designed for all music enthusiasts.
It is Full Featured Linux media player that can easily manage large collections
and uses the Gstreamer media framework.
Some of Guayadeque Features

- Play mp3, ogg, flac, wma, wav, mpc, mp4, ape, ...
- Configurable cross fader engine
- Configurable Silence detector to avoid listening to silence between tracks
- Read and write tags in all supported formats
- Allow to catalog your music using labels
  Any track, artist or album can have as many labels you want
- Smart play mode that add tracks that fit your music taste
- Ability to download covers manually or automatically
- Suggest music using last.fm service
- Allow fast access to any music file by genre, artist, album, etc
- Play and Record shoutcast radios

%prep
%setup -q
%apply_patches

#remove build script conflicting with build/ folder used by cmake
rm -f ./build*

# remove bundled libs
rm -rf src/wx/wxsql* src/wxsqlite3

%build
%cmake
%make_build

%install
%make_install -C build

#menu
install %SOURCE1 %buildroot/%{_datadir}/applications/%{name}.desktop


%find_lang %{name}


%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml



%changelog
* Fri Mar 27 2020 tex - 0.4.6-2pclos2020
- rebuild against updates

* Sun Oct 06 2019 tex - 0.4.6-1pclos2019
- update

* Fri Sep 22 2017 bb2 <bb2> - 0.4.5-3pclos2017
- rebuild against updates

* Sat Jul 01 2017 bb2 <bb2> - 0.4.5-2pclos2017
- fix rpmgroup
